
var _PATH = "/NOA/";

var xmlHttpObject = new XMLHttpRequest(); // function 内で call すると駄目のようだ

function gotUpdate(){
	// サーバから返された処理を実行
	if ((xmlHttpObject.readyState == 4) && (xmlHttpObject.status == 200)){
        // サーバから受けた debug message 入り JSON をそのまま親へ 丸投げ
        postMessage(xmlHttpObject.responseText);
	}
}
onmessage = function(event){
    // worker の生みの親から worker へ postMessage() されると起動される
    var noaString = event.data; // 親からパラメータを受け取る
    
    // サーバへ jsonString を保存: サーバからの返答を gotUpdate() で親へ返す
    xmlHttpObject.onreadystatechange = gotUpdate;

    var st = _PATH + "server.php?command=PUT_PAGE"
    + "&value=" + noaString;

    xmlHttpObject.open("GET", encodeURI(st), true);
    xmlHttpObject.send(null);
}
